Subject: bug#7989: 23.2.91; How do I update "local" autoloads?

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 May 2011 21:22:58 -0300

> I agree that the interactive interfaces to update-file-autoloads and
> update-directory-autoloads are not very friendly.  Maybe when they are
> called interactively, they should prompt for generated-autoload-file.

AFAICT the global default value of generated-autoload-file is only used
when you use those functions interactively, which was the case back when
Emacs did not bootstrap and didn't have much of a lisp/Makefile.
AFAICT nowadays these functions are rarely if ever used interactively to
rebuild Emacs's own loaddefs.el, so the default value is basically
never useful and should probably default to something like nil.

        Stefan